Bug 218049 - graphics/delaboratory: rescue, replace MASTER_SITES WWW MAINTAINER
Summary: graphics/delaboratory: rescue, replace MASTER_SITES WWW MAINTAINER
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Nikolai Lifanov
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-03-23 21:27 UTC by Chris Hutchinson
Modified: 2017-04-10 19:17 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for graphics/delaboratory (3.37 KB, patch)
2017-03-23 21:27 UTC, Chris Hutchinson
no flags Details | Diff
delaboratory plus fixed deps (3.40 KB, patch)
2017-04-05 20:00 UTC, Nikolai Lifanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2017-03-23 21:27:40 UTC
Created attachment 181110 [details]
svn diff for graphics/delaboratory

I find this useful. So I'm going to rescue it.

Changes
replaces MASTER_SITES, WWW, MAINTAINER (to me)
removes BROKEN, DEPRECATED, EXPIRATION_DATE
reflows pkg-descr (to prevent unwanted wrapping)

That's it!

Please find the svn diff (graphics_delaboratory.diff), attached to this pr.

Thanks!

--Chris
Comment 1 Nikolai Lifanov freebsd_committer 2017-04-02 22:23:01 UTC
Can you fix these dependencies please?

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/delaboratory is linked to /usr/local/lib/libxml2.so.2 from textproc/libxml2 but it is not declared as a dependency
Warning: you need USE_GNOME+=libxml2
Error: /usr/local/bin/delaboratory is linked to /usr/local/lib/libtiff.so.5 from graphics/tiff but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libtiff.so:graphics/tiff
Comment 2 Nikolai Lifanov freebsd_committer 2017-04-05 20:00:56 UTC
Created attachment 181515 [details]
delaboratory plus fixed deps

Let me know if this is OK
Comment 3 Chris Hutchinson 2017-04-06 04:23:40 UTC
Comment on attachment 181515 [details]
delaboratory plus fixed deps

My dev box is currently in a build session; updating
world/kern/ && ports. So I can't *yet* actually test.
But it looks just fine, based on your findings.

Thank you *very* much, for taking all the time to do
this,  Nikolai!

Approved! :-)

--Chris
Comment 4 Nikolai Lifanov freebsd_committer 2017-04-10 19:16:46 UTC
Committed, thanks!

Also, no problem!
Comment 5 commit-hook freebsd_committer 2017-04-10 19:17:08 UTC
A commit references this bug:

Author: lifanov
Date: Mon Apr 10 19:16:30 UTC 2017
New revision: 438199
URL: https://svnweb.freebsd.org/changeset/ports/438199

Log:
  unbreak graphics/delaboratory

  o replace MASTER_SITES
  o add WWW
  o pass maintainership to submitter
  o add missing dependencies

  PR:		218049
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>

Changes:
  head/graphics/delaboratory/Makefile
  head/graphics/delaboratory/pkg-descr